/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface ProofMetricsData
 */
export interface ProofMetricsData {
  /**
   *
   * @type {number}
   * @memberof ProofMetricsData
   */
  count: number;
  /**
   *
   * @type {number}
   * @memberof ProofMetricsData
   */
  avgMessagesCount: number;
  /**
   *
   * @type {number}
   * @memberof ProofMetricsData
   */
  avgGasUsedXdc: number;
  /**
   *
   * @type {number}
   * @memberof ProofMetricsData
   */
  totalGasUsedXdc: number;
}

export function ProofMetricsDataFromJSON(json: any): ProofMetricsData {
  return ProofMetricsDataFromJSONTyped(json, false);
}

export function ProofMetricsDataFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): ProofMetricsData {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    count: json['count'],
    avgMessagesCount: json['avgMessagesCount'],
    avgGasUsedXdc: json['avgGasUsedXdc'],
    totalGasUsedXdc: json['totalGasUsedXdc'],
  };
}

export function ProofMetricsDataToJSON(value?: ProofMetricsData | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    count: value.count,
    avgMessagesCount: value.avgMessagesCount,
    avgGasUsedXdc: value.avgGasUsedXdc,
    totalGasUsedXdc: value.totalGasUsedXdc,
  };
}
